## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global pypi_name spyder-kernels

Name:           python-%{pypi_name}
Version:        2.3.3
Release:        %autorelease
Epoch:          1
Summary:        Jupyter kernels for the Spyder console

License:        MIT
URL:            https://github.com/spyder-ide/spyder-kernels
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(cloudpickle)
BuildRequires:  python3dist(ipykernel)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wurlitzer)

# for tests
# python3
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(flaky)
BuildRequires:  python3dist(jupyter-client)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pyzmq)
BuildRequires:  python3dist(scipy)
BuildRequires:  python3dist(xarray)

%description
This package provides jupyter kernels used by spyder on its IPython console.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cloudpickle)
Requires:       python3dist(ipykernel)
Requires:       python3dist(jupyter-client)
Requires:       python3dist(pyzmq)
Requires:       python3dist(wurlitzer)

%description -n python3-%{pypi_name}
This package provides python3 version of jupyter kernels used by spyder on its
 IPython console.


%prep
%autosetup -n %{pypi_name}-%{version}

# spyder-kernel 2.2.1 - relax ipython version
sed -i '\@ipython@s|>=7.31.1,<8|>=7.31.1|' setup.py

# relax ipykernel dependency for now (bug 2070644)
sed -i '\@ipykernel@s|6.9.2|6.6.1|' setup.py

# relax jupyter-client version
sed -i '\@jupyter-client@s|>=7.3.4,<8|>7|' setup.py

rm -rfv spyder_kernels.egg-info

%build
%py3_build

%install
%py3_install

%check
# tests not present in pypi source
#export PYTHONPATH={buildroot}{python3_sitelib} pytest-3

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/spyder_kernels
%{python3_sitelib}/spyder_kernels-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Aug 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> 1:2.3.3-1
- update to v2.3.3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Mukundan Ragavan <nonamedotc@gmail.com> 1:2.3.2-1
- update to v2.3.2

* Tue Jun 21 2022 Python Maint <python-maint@redhat.com> 1:2.3.1-5
- Rebuilt for Python 3.11

* Sat May 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> 1:2.3.1-4
- fix issues with sed

* Sat May 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> 1:2.3.1-3
- sync ipython version requirement with spyder

* Sat May 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> 1:2.3.1-2
- relax jupyter-client version

* Sat May 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> 1:2.3.1-1
- update to v2.3.1

* Mon May 23 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> 1:2.3.0-2
- Relax ipykernel dependency for now (bug 2070644)

* Thu Mar 31 2022 Mukundan Ragavan <nonamedotc@gmail.com> 1:2.3.0-1
- Update to 2.3.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 15 2022 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.2.1-1
- Update to 2.2.1

* Sat Dec 11 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.2.0-1
- Update to 2.2.0

* Sat Oct 02 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.1.1-2
- relax jupyter-client version

* Sun Sep 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.1.1-1
- Update to 2.1.1

* Sat Aug 14 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.1.0-1
- Update to 2.1.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.0.4-1
- Update to 2.0.4

* Sat Jun 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.0.3-1
- Update to 2.0.3

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1:1.10.2-2
- Rebuilt for Python 3.10

* Mon Feb 22 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.10.2-1
- Update to 1.10.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.10.1-1
- Update to 1.10.1

* Fri Nov 27 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.10.0-1
- Update to 1.10.0

* Thu Sep 03 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.9.4-1
- Update to 1.9.4

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jul 26 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.9.3-1
- Update to 1.9.3

* Fri Jul 10 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.9.2-1
- Update to 1.9.2

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1:1.9.1-2
- Rebuilt for Python 3.9

* Thu May 07 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.9.1-1
- Update to 1.9.1

* Wed Sep 18 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.5.2-2
- Add wurlitzer as dependency

* Sun Sep 15 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1:0.2.4-6
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 28 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:0.2.4-3
- Drop python2 version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Mukundan Ragavan <nonamedotc@gmail.com> - 1:0.2.4-1
- version 0.2.4 (required for spyder 3.3.0)

* Sun Jul 08 2018 Mukundan Ragavan <nonamedotc@gmail.com> - 1.0.1-1
- Initial package for review

